---
title: "Payment successful notice"
description: "Payment successful notification"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/payments-app-api/payment-successful-notice'
  md: 'https://developer.shopline.com/docs/admin-rest-api/payments-app-api/payment-successful-notice.md'
---
# Payment successful notice

Payment successful notification

- **Base URL:** `https://{handle}.myshopline.com/payments_apps/openapi`
- **Required Scopes:** `write_payment_gateways`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /payment/notify/:channel_id/:payment_method/pay.json
```

## Base URL

* `https://{handle}.myshopline.com/payments_apps/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_payment_gateways`

## Request

### Path Parameters

* `channel_id`

  string (required)

  Channel id

* `payment_method`

  string (required)

  Payment method

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `amount`

  string

  Amount.
  Please note that the string for passing integers should not contain decimal points. 

* `channel_order_transaction_id`

  string

  Channel payment slip number

* `currency`

  string

  Currency.
  The value of this parameter is a three-letter
  currency code that follows the ISO 4217 standard. 

* `order_transaction_id`

  string

  Payment slip number

* `status`

  string

  Status

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

_No response body_

#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Payment successful notice"
  ],
  "description": "Payment successful notification",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_payment_gateways` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "klsi3GYp",
  "parameters": [
    {
      "name": "channel_id",
      "in": "path",
      "description": "Channel id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "channel_id",
        "description": "Channel id",
        "type": "string"
      }
    },
    {
      "name": "payment_method",
      "in": "path",
      "description": "Payment method",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "payment_method",
        "description": "Payment method",
        "type": "string"
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "Body location parameters",
          "type": "object",
          "properties": {
            "amount": {
              "name": "amount",
              "description": "Amount.\nPlease note that the string for passing integers should not contain decimal points. ",
              "type": "string",
              "example": "For example, \"200\"."
            },
            "channel_order_transaction_id": {
              "name": "channel_order_transaction_id",
              "description": "Channel payment slip number",
              "type": "string",
              "example": "string"
            },
            "currency": {
              "name": "currency",
              "description": "Currency.\nThe value of this parameter is a three-letter\ncurrency code that follows the ISO 4217 standard. ",
              "type": "string",
              "example": "For example: USD."
            },
            "order_transaction_id": {
              "name": "order_transaction_id",
              "description": "Payment slip number",
              "type": "string",
              "example": "string"
            },
            "status": {
              "name": "status",
              "description": "Status",
              "type": "string",
              "example": "string"
            }
          },
          "required": [
            "channel_order_transaction_id",
            "order_transaction_id",
            "amount",
            "currency",
            "status"
          ],
          "example": {
            "amount": "For example, \"200\".",
            "channel_order_transaction_id": "string",
            "currency": "For example: USD.",
            "order_transaction_id": "string",
            "status": "string"
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/payment/notify/:channel_id/:payment_method/pay.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/payments_apps/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Payment successful notice",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_payment_gateways"
  ]
}
```